# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Sub/Exporter.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(parent.pm) perl(self.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name CatalystX-self
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A customized self for Catalyst controllers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JM/JMMILLS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This is a very simple but handy module that shifts some of bits
around from the self manpage to allow for an easier usage with (and with in) 
Catalyst controllers.

    package MyApp::Foo;

    use parent 'Catalyst::Controller';
    use CatalystX::self;

    sub bar : Local {
        my ($some,$params) = args;
        self->action_for('name');
        catalyst->response->body('Hello World');
    }
    
    ...
    

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/C*

%changelog
* Mon Jun 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

